Subject: bug#50507: New function in Emacs GnuTLS implementation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Dec 2022 09:28:10 +0200

> From: Nikolaos Chatzikonstantinou <[email-masked]>
> Date: Sat, 31 Dec 2022 00:59:09 +0200
> Cc: [email-masked], Robert Pluim <[email-masked]>,
>  Eli Zaretskii <[email-masked]>
> 
> > gnutls.c:1837:8: error: 'GNUTLS_PKCS_PBES2_GOST_CPD' undeclared (first use in this function)
> >  rv |= GNUTLS_PKCS_PBES2_GOST_CPD;
> >        ^~~~~~~~~~~~~~~~~~~~~~~~~~
> > 
> 
> I can work on this tomorrow and fix it. I think it needs preprocessor guards on the version.

Since GnuTLS's documentation doesn't bother specifying when these
constants were introduced (some in 3.5.x, some in 3.6.x), I preferred
to condition the use of each constant by its being defined, instead of
conditioning on versions.